#include <nd_misc.h>
#include <nd_packet.h>


/* This is the basic Netdude plugin skeleton.
   Fill in as necessary. You don't need to fill
   in everything, the default functions simply
   do nothing. The return values are currently
   not used, except for nam() of course.
*/


/* Return the name of the plugin, to be displayed
   in the Plugins menu.
*/
char *
name(void)
{
  return ("Dummy Plugin");
}


/* A description of the plugin and what it does. */
char *
description(void)
{
  return ("A Dummy plugin. Does .. uhm .. nothing :)\n"
	  "It's intended as a source code template only.");
}


char *
author(void)
{
  return ("Author: Christian Kreibich, <cK@whoop.org>");
}


/* Any initialization should go here.
 */
int 
init(void)
{
  return (0);
}


/* Any cleanups, here please.
 */
int
cleanup(void)
{
  return (0);
}


/* This one is called once before the op()
   call below is called on all the packets.
*/
int
pre_op(void)
{
  return (0);
}


/* Here's where the action is -- op() is
   called on every packet that the filter
   runs on.
*/
int
op(ND_Packet *p)
{
  return (0);
}


/* This one is called once after all the
   op() calls have been made.
*/
int
post_op(void)
{
  return (0);
}

